Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434284 - autogenerating x32 stages
Summary: autogenerating x32 stages
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Release Media
Classification: Unclassified
Component: Stages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Release Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: x32
  Show dependency tree
 
Reported: 2012-09-08 07:13 UTC by SpanKY
Modified: 2012-12-18 06:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2012-09-08 07:13:54 UTC
what do we need to get x32 stages autogenerated ?  i posted a patch to the catalyst list to make things work "out of the box".

i've rebuilt the stages and verified that current stable works w/out any hacks.  the latest stage3 can be found here:
 http://distfiles.gentoo.org/experimental/amd64/x32/stage3-x32-201200908.tar.bz2

here's the .spec i used to create the stage3:
 subarch: x32
 target: stage3
 version_stamp: 201200908
 rel_type: experimental
 profile: default/linux/amd64/10.0/x32
 snapshot: 201200908
 source_subpath: experimental/stage2-x32-201200908
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-09-08 13:57:21 UTC
I've applied your patch to the catalyst repo[1]. It will be part of 2.0.11 that I will release today.
I've updated the x32 specs in the releng repo as well[2].

 [1] - http://git.overlays.gentoo.org/gitweb/?p=proj/catalyst.git;a=commitdiff;h=98157408611ab90e0a0e8910e606075daa1b1fdb
 [2] - http://git.overlays.gentoo.org/gitweb/?p=proj/releng.git;a=commitdiff;h=66af71f8bc78e55cb8978ca9b3b3086d45824aff

Let me run some tests on my build box as well. We currently have amd64-nomultilib and x32 targets to add to the auto-builds. I'd like to get those in on the new releng box, as poseidon is probably not quick enough to build these as well.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-12-08 03:39:34 UTC
I'm going to close this bug as skimmer builds x32 stages as part of the amd64 run.
The build is still failing, currently on stage1 during coreutils build, but we can track individual issues on separate bugs.
Comment 3 SpanKY gentoo-dev 2012-12-18 06:16:27 UTC
looks like the autobuilder is going now:
http://distfiles.gentoo.org/releases/amd64/autobuilds/current-stage3/
 stage3-x32-x32-20121210.tar.bz2                    10-Dec-2012 23:59  174M  
 stage3-x32-x32-20121210.tar.bz2.CONTENTS           10-Dec-2012 23:59  3.1M  
 stage3-x32-x32-20121210.tar.bz2.DIGESTS            10-Dec-2012 23:59  728   
 stage3-x32-x32-20121210.tar.bz2.DIGESTS.asc        11-Dec-2012 00:30  1.6K  

however, can we tweak that so it's just one x32 ?  or maybe amd64-x32 ?